# Advanced - All Options

```html
<form action="https://api.web3forms.com/submit" method="POST">

  <!-- REQUIRED: Your Access key here. Don't worry this can be public -->
  <input type="hidden" name="access_key" value="YOUR_ACCESS_KEY_HERE">

  <!-- Optional: Subject an be prefilled using type="hidden"
       or type="text" for normal user submitted input -->
  <input type="hidden" name="subject" value="New Submission from Web3Forms">

  <!-- Optional: From Name you want to see in the email
       Default is "Notifications". you can overwrite here -->
  <input type="hidden" name="from_name" value="Your Website Name">

  <!-- Optional: To send the form submission as CC email
       This feature available to PRO Plan users only -->
  <input type="hidden" name="ccemail" value="partner@example.com">

  <!-- Optional: Default replyto will be "email" field (if available)
       you may overwrite replyto with different email here -->
  <input type="hidden" name="replyto" value="customer@example.com">

  <!-- Optional: Custom Redirection or Thank you Page
       Make sure you add full URL including https:// -->
  <input type="hidden" name="redirect" value="https://web3forms.com/success">

  <!-- Optional: But Recommended: To Prevent SPAM Submission.
       Make sure its hidden by default -->
  <input type="checkbox" name="botcheck" class="hidden" style="display: none;">
  
   <!-- hCaptcha: Recommended for Advanced Spam Protection. -->
  <div class="h-captcha" data-captcha="true"></div>

  <!-- Google reCaptcha & Cloudflare Turnstile:
       This feature is available for paid users only -->
  <input type="hidden" name="recaptcha_response" id="recaptchaResponse">
  <div class="cf-turnstile" data-sitekey="<YOUR_SITE_KEY>"></div>
  
  <!-- Webhooks: Send your form data to Notion, Google Sheets or Zapier.
       This feature is available for paid users only -->
  <input type="hidden" name="webhook" value="WEBHOOK_URL_HERE" />

  <!-- Attachments: Make sure the <form> has enctype="multipart/form-data"
       This feature is available for paid users only -->
  <input type="file" name="attachment" />
  
  <!-- Advanced File Upload: This feature is available for paid users only -->
  <input type="hidden" data-fileupload="true" />

  <!-- Custom Form Data: Form data you wish to receive in email. -->
  <input type="email" name="email" required>
  <input type="text" name="First Name" required>
  <input type="text" name="Phone Number" required>
  <textarea name="message" required></textarea>

  <button type="submit">Submit Form</button>

</form>

<!-- Required only if you are using hCaptcha or Advanced File Upload. -->
<script src="https://web3forms.com/client/script.js" async defer></script>

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.web3forms.com/getting-started/examples/advanced-all-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
